# Interface Notification

interface Notification {
message: string;
method: ALARM_METHOD[];
state: ALARM_STATE;
createdAt?: Timestamp;
id?: string;
position?: Position;
status?: AlarmStatus;
}

- Defined in deltas.ts:97

##### Index

### Properties

message
method
state
createdAt?
id?
position?
status?

## Properties

### message

message: string

- Defined in deltas.ts:100

### method

method: ALARM_METHOD[]

- Defined in deltas.ts:99

### state

state: ALARM_STATE

- Defined in deltas.ts:98

### `Optional` createdAt

createdAt?: Timestamp

- Defined in deltas.ts:103

### `Optional` id

id?: string

- Defined in deltas.ts:104

### `Optional` position

position?: Position

- Defined in deltas.ts:102

### `Optional` status

status?: AlarmStatus

- Defined in deltas.ts:101